Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1277090 - [abrt] libreoffice-core: check_save_entry(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: check_save_entry(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:59e7b02fff03e29a26ecec7bf08...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-02 10:31 UTC by Jiri Eischmann
Modified: 2015-11-11 10:05 UTC (History)
13 users (show)

Fixed In Version: libreoffice-5.0.3.2-3.fc23 libreoffice-5.0.3.2-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-09 21:52:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (92.09 KB, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: core_backtrace (26.92 KB, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: dso_list (27.93 KB, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: environ (2.22 KB, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: exploitable (95 bytes, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: maps (125.54 KB, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: mountinfo (3.41 KB, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: open_fds (3.61 KB, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details
File: var_log_messages (583 bytes, text/plain)
2015-11-02 10:31 UTC, Jiri Eischmann
no flags Details

Description Jiri Eischmann 2015-11-02 10:31:11 UTC
Description of problem:
I tried to 'Save As' a file opened directly from a mail attachment.

Version-Release number of selected component:
libreoffice-core-5.0.3.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/jeischma/.cache/evolution/tmp/evolution-jeischma-5sXHKp/Probl%C3%A9my%20linuxov%C3%A9ho%20desktopu.odt --splash-pipe=5
crash_function: check_save_entry
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     6606
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 check_save_entry at gtkfilechooserwidget.c:5781
 #1 gtk_file_chooser_widget_get_files at gtkfilechooserwidget.c:5927
 #2 gtk_file_chooser_get_uris at gtkfilechooser.c:1213
 #3 file_chooser_widget_selection_changed at gtkfilechooserdialog.c:423
 #7 g_signal_emit_by_name at gsignal.c:3479
 #8 list_selection_changed at gtkfilechooserwidget.c:7762
 #9 _g_closure_invoke_va at gclosure.c:864
 #12 _gtk_tree_selection_emit_changed at gtktreeselection.c:1434
 #13 gtk_tree_view_set_model at gtktreeview.c:11532
 #14 load_set_model at gtkfilechooserwidget.c:4348

Comment 1 Jiri Eischmann 2015-11-02 10:31:18 UTC
Created attachment 1088521 [details]
File: backtrace

Comment 2 Jiri Eischmann 2015-11-02 10:31:20 UTC
Created attachment 1088522 [details]
File: cgroup

Comment 3 Jiri Eischmann 2015-11-02 10:31:22 UTC
Created attachment 1088523 [details]
File: core_backtrace

Comment 4 Jiri Eischmann 2015-11-02 10:31:24 UTC
Created attachment 1088524 [details]
File: dso_list

Comment 5 Jiri Eischmann 2015-11-02 10:31:26 UTC
Created attachment 1088525 [details]
File: environ

Comment 6 Jiri Eischmann 2015-11-02 10:31:28 UTC
Created attachment 1088526 [details]
File: exploitable

Comment 7 Jiri Eischmann 2015-11-02 10:31:29 UTC
Created attachment 1088527 [details]
File: limits

Comment 8 Jiri Eischmann 2015-11-02 10:31:32 UTC
Created attachment 1088528 [details]
File: maps

Comment 9 Jiri Eischmann 2015-11-02 10:31:33 UTC
Created attachment 1088529 [details]
File: mountinfo

Comment 10 Jiri Eischmann 2015-11-02 10:31:35 UTC
Created attachment 1088530 [details]
File: open_fds

Comment 11 Jiri Eischmann 2015-11-02 10:31:36 UTC
Created attachment 1088531 [details]
File: proc_pid_status

Comment 12 Jiri Eischmann 2015-11-02 10:31:38 UTC
Created attachment 1088532 [details]
File: var_log_messages

Comment 13 Carlos Soriano 2015-11-03 13:54:13 UTC
I took a look at this. So far it looks like it's libreoffice freeing memory when it shouldn't. Gtk3 tests worked fine.

I gathered that the GtkFileChooserWidget seems to point to valid memory, but the private struct has weird information (like it's g_class being something weird) and the attritubtes inside the private struct have invalid memory.

However the finalize function is not called, so I wonder if libreoffice does something strange with the filechooser or if the c++ bindings are messing up something.

Can someone from libreoffice take a look on their side?

Comment 14 Matthias Clasen 2015-11-03 14:08:49 UTC
Upstream bug is here: https://bugzilla.gnome.org/show_bug.cgi?id=756310

Comment 16 Fedora Update System 2015-11-04 11:26:03 UTC
libreoffice-5.0.3.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-331a02eb57

Comment 17 Fedora Update System 2015-11-05 01:28:12 UTC
libreoffice-5.0.3.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-331a02eb57

Comment 18 Fedora Update System 2015-11-06 12:30:53 UTC
libreoffice-5.0.3.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-363df88c03

Comment 19 Fedora Update System 2015-11-08 13:24:44 UTC
libreoffice-5.0.3.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-363df88c03

Comment 20 Fedora Update System 2015-11-09 21:52:27 UTC
libreoffice-5.0.3.2-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.